com.sun.mirror.type

## Interface EnumType

- All Superinterfaces:
    ClassType, DeclaredType, ReferenceType, TypeMirror

      public interface EnumType
      extends ClassType

  Represents an enum type.
  Since:
    1.5

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EnumDeclaration` | `getDeclaration()` Returns the declaration of this type.

    - ### Methods inherited from interface com.sun.mirror.type.ClassType

      `getSuperclass`

    - ### Methods inherited from interface com.sun.mirror.type.DeclaredType

      `getActualTypeArguments, getContainingType, getSuperinterfaces`

    - ### Methods inherited from interface com.sun.mirror.type.TypeMirror

      `accept, equals, toString`

- - ### Method Detail

    - #### getDeclaration

          EnumDeclaration getDeclaration()

      Returns the declaration of this type.

      Returns null if this type's declaration is unknown. This may be the result of a processing error, such as a missing class file.

      Specified by:
        `getDeclaration` in interface `ClassType`
      Specified by:
        `getDeclaration` in interface `DeclaredType`
      Returns:
        the declaration of this type, or null if unknown

Copyright © 2004, 2014, Oracle and/or its affiliates. All rights reserved.